%define real_name pyxattr
%define short_name xattr

Summary: Extended attributes for python
Name: python-xattr
Version: 0.4
Release: %mkrel 4
License: GPL
Group: Development/Python
URL: http://pyxattr.sourceforge.net/
Source: http://kent.dl.sourceforge.net/sourceforge/%{real_name}/%{real_name}-%{version}.tar.gz
Provides: pyxattr = %{version}-%{release}
%py_requires -d
BuildRequires: libattr-devel
BuildRequires: python-setuptools
BuildRoot: %{_tmppath}/%{name}--%{version}-%{release}-root

%description
python-xattr is a C extension module for Python which implements
extended attributes manipulation. It is a wrapper on top of the
attr C library - see attr(5).

%prep
%setup -qn %{short_name}-%{version}

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
rm -rf %{buildroot}
python setup.py install --root="%{buildroot}" --prefix="%{_prefix}"

# move doc at the right place
# mv %{buildroot}/%{_docdir}/%{real_name}-%{version}/ %{buildroot}/%{_docdir}/%{name}-%{version}/


%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%{_bindir}/xattr
%{py_platsitedir}/*


%changelog
* Mon Dec 29 2008 Funda Wang <fundawang@mandriva.org> 0.4-4mdv2009.1
+ Revision: 320913
- adjust BR

* Fri Aug 01 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.4-4mdv2009.0
+ Revision: 259864
- rebuild

* Fri Jul 25 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.4-3mdv2009.0
+ Revision: 247736
- rebuild

* Sat Jan 05 2008 Jérôme Soyer <saispo@mandriva.org> 0.4-1mdv2008.1
+ Revision: 145719
- New release
- Mistake

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Jul 24 2007 Gaëtan Lehmann <glehmann@mandriva.org> 0.2.2-1mdv2008.0
+ Revision: 55049
- 0.2.2


* Wed Aug 09 2006 glehmann
+ 08/09/06 20:57:54 (55140)
use py_platsitedir

* Sun Jul 30 2006 glehmann
+ 07/30/06 10:28:03 (42708)
Import python-xattr

* Wed Feb 15 2006 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.2.1-1mdk
- New release 0.2.1

* Wed Dec 14 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.2-1mdk
- first mandriva package

* Sun Sep 11 2005 Dag Wieers <dag@wieers.com> - 0.2-1 - +/
- Initial package. (using DAR)

